package com.example.services;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

public class MainViewModel extends ViewModel {

    private MutableLiveData<Boolean> mIsServiceBinded;

    public MainViewModel() {
        mIsServiceBinded = new MutableLiveData<>();
        mIsServiceBinded.setValue(false);
    }

    public LiveData<Boolean> isServiceBinded() {
        return mIsServiceBinded;
    }

    public void setIsServiceBinded(Boolean isServiceBinded) {
        this.mIsServiceBinded.setValue(isServiceBinded);
    }
}